Commit a8f7a204 authored by Katia Saurfelt's avatar Katia Saurfelt
Browse files

[debian] update packaging

 * Move to source 3.0 quilt
 * Update to Standards version 4.3.0
 * Add build depends to be able to run tests while building the package
parent 1c0d56e40e05
Pipeline #17042 passed with stage
in 1 minute
......@@ -2,11 +2,13 @@ Source: cubicweb-ckeditor
Section: web
Priority: optional
Maintainer: LOGILAB S.A. (Paris, FRANCE) <contact@logilab.fr>
Build-Depends:
debhelper (>= 7),
python (>= 2.6.5),
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Build-Depends: debhelper (>= 9),
dh-python,
python (>= 2.7),
python-setuptools,
python-pytest,
Standards-Version: 4.3.0
X-Python-Version: >= 2.7
Package: cubicweb-ckeditor
Architecture: all
......
......@@ -4,5 +4,5 @@ Upstream Author:
Copyright:
Copyright (c) 2016 LOGILAB S.A. (Paris, FRANCE).
Copyright (c) 2016-2020 LOGILAB S.A. (Paris, FRANCE).
http://www.logilab.fr -- mailto:contact@logilab.fr
#!/usr/bin/make -f
export NO_SETUPTOOLS=1
export PYBUILD_NAME = cubicweb-ckeditor
export PYBUILD_OPTION = --test-pytest
%:
dh $@ --with python2
override_dh_python2:
dh_python2 -i /usr/share/cubicweb
dh $@ --with python2 --buildsystem=pybuild
extend-diff-ignore = "^([^/]*\.spec$)"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment